<?php

$enteredpass = false;

function read_cidr(&$s) {
  global $MESSAGES, $db, $keyid;
  $error = false;
  if (preg_match("| *([0-9]+)\.([0-9]+)\.([0-9]+)\.([0-9]+)/([0-9]+)\.([0-9]+)\.([0-9]+)\.([0-9]+) *$|", $s, $nm)) {
    $error = ip_check($s);
  } elseif (preg_match("|([0-9]+)\.([0-9]+)\.([0-9]+)\.([0-9]+)(/([0-9]+))? *$|", $s, $nm)) {
    for ($i = 1; $i <= 4; $i++)
      if ($nm[$i] > 255)
        $error = true;
    if ($nm[5] != "" && $nm[6] > 32)
      $error = true;
  } else
    $error = true;

  $e = false;
  if (!$error) {
  $query = "SELECT * FROM user_ipranges WHERE ((".q($s)." <<= network) OR (".q($s)." >>= network))";
  // this is very tricky:
  if (!empty($keyid))
    $query .= " AND (text(network) <> ".q($keyid).")";
  printout($query);
  $res = $db->query($query);
  $x = mesDB($res);
  if (!empty($x))
    return $x;
  $e = $res->numRows() > 0;
  $res->free();
  }

  if ($e)
    return $MESSAGES["duplicatenetwork"];
  return $error ? $MESSAGES["dberror".DB_ERROR_INVALID_CIDR] : "";
}

function write_cidr(&$s) {
  $s = ereg_replace("/32$", "", $s);
  if (preg_match("|/([0-9]+) *$|", $s, $nm)) {
    $nm = $nm[1];
    if ($nm > 16) {
      $nm = (1<<16)-(1<<(32-$nm));
      $nm = "255.255.".($nm>>8).".".($nm%256);
    } else {
      $nm = (1<<16)-(1<<(16-$nm));
      $nm = ($nm>>8).".".($nm%256).".0.0";
    }
    $s = ereg_replace("/[0-9]*$", "/$nm", $s);
  }
}

function read_email(&$s, $f) {
  global $MESSAGES, $DOMAINS;
  if (!preg_match("|^ *([a-zA-Z_.0-9]+\@([-a-zA-Z0-9]+\.)+[-a-zA-Z0-9]+) *$|", $s, $x))
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  $s = $x[1];
  return "";
}

function read_password(&$s) {
  global $MESSAGES, $confirmpassword, $enteredpass;
  $enteredpass = $s;
  if (strlen($s) < 6)
    return $MESSAGES["shortpassword"];
  if ($s != $confirmpassword)
    return $MESSAGES["passesdontmatch"];
  $s = md5($s);
  return "";
}

function read_confirmpassword(&$s) {
  global $MESSAGES, $enteredpass;
  if ($s != $enteredpass && $enteredpass == '')
    return $MESSAGES["passesdontmatch"];
  $enteredpass = '';
  return "";
}

function write_passwords(&$s) {
  $s = '';
}

function read_infousername(&$s) {
  global $MESSAGES, $password;
  if (isset($password) && $password == '')
    return $MESSAGES["userxorpass"];
  return "";
}

function read_infopassword(&$s) {
  global $MESSAGES, $loginname;
  if (isset($loginname) && $loginname == '')
    return $MESSAGES["userxorpass"];
  return "";
}

function read_id(&$s, $f) {
  global $MESSAGES, $DOMAINS;
  if (!preg_match("|^ *([a-zA-Z][a-zA-Z_.0-9]+) *$|", $s, $x))
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  $s = $x[1];
  return "";
}

function read_fullname(&$s) {
  global $MESSAGES;
  if (strlen($s) < 6)
    return $MESSAGES["shortfullname"];
  return "";
}

function read_entryurl(&$s) {
  global $MESSAGES;
  if (!preg_match("|^http://|", $s))
    $s = "http://$s";
  return "";
}

function read_oldpassword(&$s, $f) {
  global $MESSAGES, $DOMAINS, $S, $db;
  $query = "SELECT password FROM users WHERE userid=".q($S["loginid"])." AND password=".q(md5($s));
  $res = $db->query($query);
  $e = mesDB($res);
  if ($e)
    return $e;
  $e = '';
  if ($res->numRows() != 1)
    $e = $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["iswrong"];
  $res->free();
  return $e;
}

$bytes = array ("g"=>1024*1024*1024, "m"=>1024*1024, "k"=>1024, ""=>1);

function read_byte(&$s, $f) {
  global $MESSAGES, $DOMAINS, $bytes;
  if (!preg_match("|^ *([0-9]+(.[0-9]+)?) *([gmkGMK]?)[bB]? *$|", $s, $n))
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  $s = $n[1] * $bytes[strtolower($n[3])];
  if ($s > 100000000000.0 || ($f["name"] == "bandwidth" && $s > 2000000000.0))
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  $s = ereg_replace("\..*$", "", $s);
  return "";
}

function write_byte(&$s) {
  global $MESSAGES, $bytes;
  reset($bytes);
  while (list($key, $value) = each($bytes))
    if ($s > $value && !empty($key)) {
      $s = sprintf("%.1f%sb", $s/$value, $key);
      break;
    }
}

function read_startdate(&$s, $f) {
  global $MESSAGES, $DOMAINS;
  if (strtodate($s) == -1)
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  $s = date('Y-m-d', strtotime($s));
  return "";
}

function read_enddate(&$s, $f) {
  global $MESSAGES, $DOMAINS, $startdate;
  if (strtodate($s) == -1)
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["isinvalid"];
  if (!empty($startdate) && strtotime($s) <= strtotime($startdate))
    return $DOMAINS[$f["domain"]]["caption"]." ".$MESSAGES["iswrong"];
  $s = date('Y-m-d', strtotime($s));
  return "";
}

?>
