<?php
if (!defined('BASE'))
  define ('BASE', dirname(__FILE__).'/..');
require_once BASE."/inc/functions.php";
require_once BASE."/inc/domainfuncs.php";
require_once BASE."/meta/lang/default.php";

/* // Example
$DOMAINS['network'] = array(
	'caption'	=> $MESSAGES['network'],
	'read'		=> 'read_cidr',
	'write'		=> 'write_cidr',
	'example'	=> '123.45.67.9/255.255.255.240 or 123.45.67.0/24',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '36',
	'maxlength'	=> '31',
	);
*/

$DOMAINS['username'] = array(
	'caption'	=> 'شناسه',
	'read'		=> 'read_id',
	'write'		=> '',
	'example'	=> 'john123',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '20',
	);

$DOMAINS['customername'] = $DOMAINS['username'];
$DOMAINS['customername']['example'] = 'bill456';

$DOMAINS['fullname'] = array(
	'caption'	=> 'نام کامل',
	'read'		=> 'read_fullname',
	'write'		=> '',
	'lang'		=> '',
	'dir'		=> '',
	'size'		=> '50',
	'maxlength'	=> '50',
	);
$DOMAINS['userfullname'] = $DOMAINS['fullname'];
$DOMAINS['customerfullname'] = $DOMAINS['fullname'];
$DOMAINS['categoryname'] = $DOMAINS['fullname'];
$DOMAINS['categoryname']['caption'] = 'نامِ گروه';

$DOMAINS['password'] = array(
	'caption'	=> 'کلمه‌ي عبور',
	'read'		=> 'read_password',
	'write'		=> 'write_passwords',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '32',
	);

$DOMAINS['confirmpassword'] = array(
	'caption'	=> 'تکرار کلمه‌ي عبور',
	'read'		=> 'read_confirmpassword',
	'write'		=> 'write_passwords',
	'example'	=> 'aBc123_xyz',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '32',
	);

$DOMAINS['oldpassword'] = $DOMAINS['password'];
$DOMAINS['oldpassword']['caption'] = 'کلمه‌ي عبور فعلي';
$DOMAINS['oldpassword']['read'] = 'read_oldpassword';

$DOMAINS['email'] = array(
	'caption'	=> 'پست الکترونيکي',
	'read'		=> 'read_email',
	'write'		=> '',
	'example'	=> 'john_smith@yahoo.com',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '50',
	);

$DOMAINS['network'] = array(
	'caption'	=> 'محدوده‌ي IP',
	'read'		=> 'read_cidr',
	'write'		=> 'write_cidr',
	'example'	=> '192.168.100.0/255.255.255.128 or 192.168.100.35',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '36',
	'maxlength'	=> '31',
	);

$DOMAINS['tel'] = array(
	'caption'	=> 'شماره‌ي تلفن',
	'read'		=> '',
	'write'		=> '',
	'example'	=> number('021-3456789'),
	'lang'		=> 'en',
	'dir'		=> 'ltr',
	'size'		=> '15',
	'maxlength'	=> '30',
	);
 
$DOMAINS['address'] = array(
	'caption'	=> 'نشاني',
	'read'		=> '',
	'write'		=> '',
	'example'	=> 'تهران، ميدان انقلاب، ...',
	'lang'		=> '',
	'dir'		=> '',
	'size'		=> '30',
	);

$DOMAINS['urlexp'] = array(
	'caption'	=> 'قالب آدرس صفحات سایت',
	'read'		=> '',
	'write'		=> '',
	'example'	=> '&lrm;'.'.yahoo.com/'.'&lrm;',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '50',
	'maxlength'	=> '300',
	);

$DOMAINS['entryurl'] = array(
	'caption'	=> 'آدرس صفحه‌ی ورود سایت',
	'read'		=> 'read_entryurl',
	'write'		=> '',
	'example'	=> '&lrm;'.'http://www.yahoo.com/'.'&lrm;',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '50',
	'maxlength'	=> '100',
	);

$DOMAINS['infousername'] = array(
	'caption'	=> 'شناسه روی پایگاه اطلاعاتی',
	'read'		=> 'read_infousername',
	'write'		=> '',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '20',
	);

$DOMAINS['infopassword'] = array(
	'caption'	=> 'کلمه‌ی عبور روی پایگاه اطلاعاتی',
	'read'		=> 'read_infopassword',
	'write'		=> '',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '32',
	);

$DOMAINS['startdate'] = array(
	'caption'	=> 'تاریخ شروع',
	'read'		=> 'read_startdate',
	'write'		=> '',
	'example'	=> '2002-02-14',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['enddate'] = array(
	'caption'	=> 'تاریخ پايان',
	'read'		=> 'read_enddate',
	'write'		=> '',
	'example'	=> '2003-08-14',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['bandwidth'] = array(
	'caption'	=> 'پهنای باند', // (بايت)',
	'read'		=> 'read_byte',
	'write'		=> 'write_byte',
	'example'	=> '4096 or 4k or 4m',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['capacity'] = array(
	'caption'	=> 'حجم', // (بايت)',
	'read'		=> 'read_byte',
	'write'		=> 'write_byte',
	'example'	=> '4k or 4m or 4g',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['consumedcapacity'] = $DOMAINS['capacity'];
$DOMAINS['consumedcapacity']['caption'] = 'حجم مصرفي';

/* ****** */

$DOMAINS['linkreport'] = array(
	'caption'	=> 'نمودار مصرف',
	'icon'		=> 'report.gif',
	);

$DOMAINS['linkstat'] = array(
	'caption'	=> 'گزارش آماری',
	'icon'		=> 'stat.gif',
	);

$DOMAINS['linkdetail'] = array(
	'caption'	=> 'شرح',
	'icon'		=> 'view.gif',
	);

$DOMAINS['linkedit'] = array(
	'caption'	=> 'ويرايش',
	'icon'		=> 'edit.gif',
	);

$DOMAINS['linkdelete'] = array(
	'caption'	=> 'حذف',
	'icon'		=> 'delete.gif',
	);

$DOMAINS['linkservices'] = array(
	'caption'	=> 'اطلاعات سرویسها',
	);

$DOMAINS['linkinfobases'] = array(
	'caption'	=> 'اطلاعات پايگاه‌ها',
	);

$DOMAINS['linkipranges'] = array(
	'caption'	=> 'محدوده‌ي IP',
	);

$DOMAINS['linkaddcontact'] = array(
	'caption'	=> 'اطلاعات تماس',
	'text'		=> 'جديد'.'...',
	);

$DOMAINS['linkaddinfo'] = array(
	'caption'	=> 'پايگاه‌هاي اطلاعاتي',
	'text'		=> 'جديد'.'...',
	);

$DOMAINS['linkaddipranges'] = array(
	'caption'	=> 'محدوده‌هاي IP',
	'text'		=> 'جديد'.'...',
	);

/* ****** */

$DOMAINS['orgfullname'] = array(
	'caption'	=> 'موسسه',
	);

$DOMAINS['infofullname'] = array(
	'caption'	=> 'پايگاه اطلاعاتي',
	);

?>

