<?php
if (!defined('BASE'))
  define ('BASE', dirname(__FILE__).'/..');
require_once BASE."/inc/functions.php";
require_once BASE."/inc/domainfuncs.php";
require_once BASE."/meta/lang/default.php";

/* // Example
$DOMAINS['network'] = array(
	'caption'	=> $MESSAGES['network'],
	'read'		=> 'read_cidr',
	'write'		=> 'write_cidr',
	'example'	=> '123.45.67.9/255.255.255.240 or 123.45.67.0/24',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '36',
	'maxlength'	=> '31',
	);
*/

$DOMAINS['username'] = array(
	'caption'	=> 'شناسه',
	'read'		=> 'read_id',
	'write'		=> '',
	'example'	=> 'john123',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '20',
	);

$DOMAINS['customername'] = $DOMAINS['username'];
$DOMAINS['customername']['example'] = 'bill456';

$DOMAINS['fullname'] = array(
	'caption'	=> 'نام کامل',
	'read'		=> 'read_fullname',
	'write'		=> '',
	'lang'		=> '',
	'dir'		=> '',
	'size'		=> '50',
	'maxlength'	=> '50',
	);
$DOMAINS['userfullname'] = $DOMAINS['fullname'];
$DOMAINS['customerfullname'] = $DOMAINS['fullname'];
$DOMAINS['categoryname'] = $DOMAINS['fullname'];
$DOMAINS['categoryname']['caption'] = 'نام گروه';
$DOMAINS['goodname'] = $DOMAINS['fullname'];
$DOMAINS['goodname']['caption'] = 'نام گروه';

$DOMAINS['password'] = array(
	'caption'	=> 'کلمه‌ی عبور',
	'read'		=> 'read_password',
	'write'		=> 'write_passwords',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '32',
	);

$DOMAINS['confirmpassword'] = array(
	'caption'	=> 'تکرار کلمه‌ی عبور',
	'read'		=> 'read_confirmpassword',
	'write'		=> 'write_passwords',
	'example'	=> 'aBc123_xyz',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '32',
	);

$DOMAINS['oldpassword'] = $DOMAINS['password'];
$DOMAINS['oldpassword']['caption'] = 'کلمه‌ی عبور فعلی';
$DOMAINS['oldpassword']['read'] = 'read_oldpassword';

$DOMAINS['email'] = array(
	'caption'	=> 'پست الکترونیکی',
	'read'		=> 'read_email',
	'write'		=> '',
	'example'	=> 'john_smith@yahoo.com',
	'lang'		=> 'en',
	'dir'		=> '',
	'size'		=> '20',
	'maxlength'	=> '50',
	);

$DOMAINS['tel'] = array(
	'caption'	=> 'شماره‌ی تلفن',
	'example'	=> number('021-3456789'),
	'lang'		=> 'en',
	'dir'		=> 'ltr',
	'maxlength'	=> '30',
	'size'		=> '15',
	);
 
$DOMAINS['address'] = array(
	'caption'	=> 'نشانی',
	'example'	=> 'تهران، میدان انقلاب، ...',
	'maxlength'	=> '250',
	'size'		=> '30',
	);

$DOMAINS['notes'] = array(
	'caption'	=> 'توضیحات',
	'maxlength'	=> '1500',
	'size'		=> '30',
	);

$DOMAINS['startdate'] = array(
	'caption'	=> 'تاریخ شروع',
	'read'		=> 'read_startdate',
	'example'	=> '2002-02-14',
	'lang'		=> 'en',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['enddate'] = array(
	'caption'	=> 'تاریخ پایان',
	'read'		=> 'read_enddate',
	'example'	=> '2003-08-14',
	'lang'		=> 'en',
	'size'		=> '15',
	'maxlength'	=> '20',
	);

$DOMAINS['price'] = array(
	'caption'	=> 'قیمت واحد',
	'dir'		=> 'ltr',
	'size'		=> '15',
	);
$DOMAINS['baseprice'] = $DOMAINS['price'];

$DOMAINS['goodcount'] = array(
	'caption'	=> 'تعداد',
	'dir'		=> 'ltr',
	'size'		=> '3',
	);
$DOMAINS['goodorderscount'] = $DOMAINS['goodcount'];

/* ****** */

$DOMAINS['linkdetail'] = array(
	'caption'	=> 'شرح',
	'icon'		=> 'view.gif',
	);

$DOMAINS['linkedit'] = array(
	'caption'	=> 'ویرایش',
	'icon'		=> 'edit.gif',
	);

$DOMAINS['linkdelete'] = array(
	'caption'	=> 'حذف',
	'icon'		=> 'delete.gif',
	);

?>

